#ifndef GCONSOLE_H
#define GCONSOLE_H

#define MAX_COLUMNS 80
#define MAX_ROWS 25
#define HOLDDELAY 12
#define DOUBLECLICKDELAY 8

int initscreen(void);
void closescreen(void);
void clearscreen(void);
void fliptoscreen(void);
void printtext(int x, int y, int color, const char *text);
void printtextc(int y, int color, const char *text);
void printblank(int x, int y, int length);
void printblankc(int x, int y, int color, int length);
void drawbox(int x, int y, int color, int sx, int sy);
void printbg(int x, int y, int color, int length);
void getkey(void);

#ifndef GCONSOLE_C
extern short *scrbuffer;
extern int key, rawkey, shiftpressed, cursorflashdelay;
extern int mouseb, prevmouseb;
extern int mouseheld;
extern int mousex, mousey;
#endif

#endif
